<?php
  define("MARGE","0.3");

  echo "Entrez 3 notes        : ";
  fscanf(STDIN,"%f %f %f",$n1,$n2,$n3);

  echo "Entrez 3 coefficients : ";
  fscanf(STDIN,"%f %f %f",$c1,$c2,$c3);
  
  $Moyenne=( ($n1*$c1)+($n2*$c2)+($n3*$c3) )/($c1+$c2+$c3) ;
  printf("Votre moyenne est : %+6.2f\n",$Moyenne);

// si on veut donner la mention supérieure
// $NoteMention=intval($Moyenne+MARGE);

  $NoteMention=intval($Moyenne);
  
  switch ($NoteMention)
  {
    case 0:case 1:case 2:case 3:case 4:
    case 5:case 6:case 7:case 8:case 9:
             echo "recale".PHP_EOL;
             break;
    case 10:case 11 :
             echo "Mention PASSABLE".PHP_EOL;
             break ;
    case 12:case 13 :
             echo "Mention ASSEZ BIEN".PHP_EOL;
             break ;
    case 14:case 15:
             echo "Mention BIEN".PHP_EOL;
             break ;
    case 16:case 17:case 18:case 19:case 20:
             echo "Mention TRES BIEN".PHP_EOL;
             break ;
    default: echo "Notes ou Coefficients ERRONNES".PHP_EOL;
             break;
  }
?>
